diff -ur noise.orig/Makefile noise/Makefile
--- noise.orig/Makefile	2004-12-03 23:31:58.000000000 +0100
+++ noise/Makefile	2007-03-15 21:01:17.000000000 +0100
@@ -1,23 +1,65 @@
-.PHONY: all doc src include
-all: doc src include lib
-clean: cleandoc cleansrc cleaninclude cleanlib
-install: installinclude installlib
+.PHONY all: doc include src lib 
 
-doc src include lib:
+doc src:
 	$(MAKE) -C $@
 
-lib: include
+src/libnoise.a src/libnoise.la src/libnoise.so.0.3:
+	$(MAKE) -C src
+
+lib: src src/libnoise.a src/libnoise.la src/libnoise.so.0.3
+	cp src/libnoise.a src/libnoise.la src/libnoise.so.0.3 lib/
 
+clean: cleandoc cleansrc cleaninclude cleanlib
+cleaninclude: include_clean
 cleandoc:
 	$(MAKE) -C doc clean
 cleansrc:
 	$(MAKE) -C src clean
-cleaninclude:
-	$(MAKE) -C include clean
 cleanlib:
-	$(MAKE) -C lib clean
+	rm -f lib/*
+
+#
+# Make INCLUDEs
+#
+include: here model module
+	@echo "Creating includes"
+
+here:
+	cp src/*.h include/
+model:
+	(mkdir -p include/$@ && cp src/model/*.h include/$@)
+module:
+	(mkdir -p include/$@ && cp src/$@/*.h include/$@)
+
+include_clean:
+	rm -f include/*.h
+	rm -rf include/model
+	rm -rf include/module
+
+#
+# Installation
+#
+install: include lib
+	mkdir -p $(DESTDIR)/usr/include/noise
+	mkdir -p $(DESTDIR)/usr/lib
+
+	cp -r include/* $(DESTDIR)/usr/include/noise
+	cp lib/* $(DESTDIR)/usr/lib
+	ln -s $(DESTDIR)/usr/lib/libnoise.so.0 $(DESTDIR)/usr/lib/libnoise.so
+
+	# prepare doxygen html documentation
+	# i consider this a wrong use of doxygen build system which
+	# should be solved in doc/Makefile
+	cp doc/htmldata/background.png doc/html/
+	cp doc/htmldata/doxygen.css doc/html/
+	cp doc/htmldata/libnoise.png doc/html/
+
+install_doc:
+	mkdir -p $(DESTDIR)/usr/doc/libnoise/
+	cp -r doc/html/* $(DESTDIR)/usr/doc/libnoise/
+
+release:
+	make clean
+	tar cf /usr/portage/distfiles/libnoisesrc-1.0.0-rc1.tar ../noise/
+
 
-installinclude:
-	$(MAKE) -C include include
-installlib:
-	$(MAKE) -C lib include
diff -ur noise.orig/doc/Makefile noise/doc/Makefile
--- noise.orig/doc/Makefile	2004-05-06 19:05:32.000000000 +0200
+++ noise/doc/Makefile	2007-03-15 21:01:17.000000000 +0100
@@ -2,13 +2,14 @@
 include ../src/Sources
 
 # Various binaries we're using
-DOXYGEN=`which doxygen`
+DOXYGEN=/usr/bin/doxygen
 
 # Source code files
 
+.PHONY: html
 html: Doxyfile $(HEADERS)
 	$(DOXYGEN) Doxyfile
 
 .PHONY: clean
 clean:
-	-rm -rf html
+	rm -rf html
Only in noise: examples
Only in noise.orig/include: Makefile
Only in noise.orig/lib: Makefile
diff -ur noise.orig/src/Makefile noise/src/Makefile
--- noise.orig/src/Makefile	2004-10-24 20:21:12.000000000 +0200
+++ noise/src/Makefile	2007-03-15 21:01:17.000000000 +0100
@@ -1,14 +1,11 @@
-LIBTOOL=libtool
+LIBTOOL=/usr/bin/libtool
 
-# defines source files and vpaths
 include Sources
 
 DEPENDS=$(SOURCES:.cpp=.d)
-
-# What source objects are we building?
 OBJECTS=$(SOURCES:.cpp=.o)
 
-.PHONY: all clean cleandeps cleanobjs cleanlib libnoise libnoise.so libnoise.so.0
+.PHONY: all clean cleandeps cleanobjs cleanlib libnoise 
 
 # hooks for future makefiles being able to make multiple SOs, or older SOs
 libnoise: libnoise.so libnoise.a libnoise.la
@@ -26,15 +23,15 @@
 
 clean:	cleandeps cleanobjs cleanlib
 cleandeps:
-	-rm $(DEPENDS)
+	rm -f $(DEPENDS)
 cleanobjs:
-	-rm $(OBJECTS)
-	-rm $(OBJECTS:.o=.lo) #clean up after libtool
-	-rm -rf .libs model/.libs module/.libs
+	rm -f $(OBJECTS)
+	rm -f $(OBJECTS:.o=.lo) #clean up after libtool
+	rm -rf .libs model/.libs module/.libs
 cleanlib:
-	-rm libnoise.so.0.3
-	-rm libnoise.a
-	-rm libnoise.la
+	rm -f libnoise.so.0.3
+	rm -f libnoise.a
+	rm -f libnoise.la
 
 # Utility rules
 # Generates dependancy files:
@@ -51,6 +48,5 @@
 %.o %.lo: %.c
 	$(LIBTOOL) --mode=compile $(CC) $(CPPFLAGS) $(CFLAGS) -c $< -o $(@:.lo=.o)
 
-# If dependancies have never been built this will produce a horde of
-# "file not found" warnings and *then* build the deps.  Very odd.
-include $(DEPENDS)
+# If dependancies have never been built this will build the deps.
+-include $(DEPENDS)
Only in noise/src/module: blend.d.11877
Only in noise/src/module: cache.d.6051
Only in noise/src/module: clamp.d.5794
Only in noise/src/module: invert.d.5997
Only in noise/src/module: max.d.12159
Only in noise/src/module: spheres.d.5917
Only in noise/src/module: terrace.d.6541
